Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.appidentity.dev
Class LocalAppIdentityService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.appidentity.dev.LocalAppIdentityService

    @ServiceProvider(value=)
    public class LocalAppIdentityService

extends AbstractLocalRpcService

Stub implementation of the app identity service.

Field Summary
`static java.lang.String` | `PACKAGE`
`static java.lang.String` | `PRIVATE_KEY_PATH`
`static java.lang.String` | `PUBLIC_CERT_PATH`

Constructor Summary
`LocalAppIdentityService()`

Method Summary
`GetAccessTokenResponse` | `getAccessToken(Status status, GetAccessTokenRequest request)`
`java.lang.String` | `getPackage()`
`GetPublicCertificateForAppResponse` | `getPublicCertificatesForApp(Status status, GetPublicCertificateForAppRequest request)`
`GetServiceAccountNameResponse` | `getServiceAccountName(Status status, GetServiceAccountNameRequest request)`
`void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
`SignForAppResponse` | `signForApp(Status status, SignForAppRequest request)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

See Also:
  Constant Field Values

### PRIVATE_KEY_PATH

    public static final java.lang.String PRIVATE_KEY_PATH

See Also:
  Constant Field Values

### PUBLIC_CERT_PATH

    public static final java.lang.String PUBLIC_CERT_PATH

See Also:
  Constant Field Values

Constructor Detail

### LocalAppIdentityService

    public LocalAppIdentityService()

Method Detail

### getPackage

    public java.lang.String getPackage()

### init

    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)

### start

    public void start()

### stop

    public void stop()

### signForApp

    public SignForAppResponse signForApp(Status status,
                                         SignForAppRequest request)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getPublicCertificatesForApp

    public GetPublicCertificateForAppResponse getPublicCertificatesForApp(Status status,
                                                                          GetPublicCertificateForAppRequest request)

### getServiceAccountName

    public GetServiceAccountNameResponse getServiceAccountName(Status status,
                                                               GetServiceAccountNameRequest request)

### getAccessToken

    public GetAccessTokenResponse getAccessToken(Status status,
                                                 GetAccessTokenRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD